curl --request GET \
--url https://api-gw.sendspark.com/v1/workspaces/{workspaceId}/dynamics/{dynamicId}/prospects/{contactEmail} \
--header 'x-api-key: <api-key>' \
--header 'x-api-secret: <api-key>'import requests
url = "https://api-gw.sendspark.com/v1/workspaces/{workspaceId}/dynamics/{dynamicId}/prospects/{contactEmail}"
headers = {
"x-api-key": "<api-key>",
"x-api-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-api-key': '<api-key>', 'x-api-secret': '<api-key>'}
};
fetch('https://api-gw.sendspark.com/v1/workspaces/{workspaceId}/dynamics/{dynamicId}/prospects/{contactEmail}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"contactEmail": "Contact Email, Example: john@example.com",
"backgroundUrl": "Backgound URL, Example: https://example.com",
"originalBackgroundUrl": "Backgound URL, Example: https://example.com",
"status": "Current prospect status, Example: saved, billed, errored, processing, uploaded, completed",
"deletedAt": "Deleted Date if prospect was deleted, Example: 2020-01-01T00:00:00.000Z",
"valid": "False if prospect has validation errors",
"createdAt": "Create date, example: 2020-01-01T00:00:00.000Z",
"updatedAt": "Update date, example: 2020-01-01T00:00:00.000Z",
"validationDetails": [
{
"validationField": "Show field with errors, Example: contactEmail",
"validationMessage": "Show error detail related with field with error, example: Invalid email",
"validationCode": "Show error code related with field with error, example: 400"
}
],
"contactName": "Contact Name, example: John Doe",
"company": "Company Name, example: Sendspark",
"jobTitle": "Job Title, example: Software Engineer",
"id": "Internal prospect ID, example: 997f191e810c19729de860fd",
"shareUrl": "Public URL to share the final video, example: https://sendspark.com/share/997f191e81",
"emailEmbedHTML": "<string>",
"fields": {}
}{
"statusCode": 400,
"code": "S400-AHVE",
"error": "Bad Request",
"message": "Invalid request payload input"
}{
"statusCode": 404,
"error": "Not Found",
"message": "Resource not found or invalid access"
}Get prospect data from prospect email
Get prospect data from prospect email
Query Parameters
Comma-separated list of additional fields to include in the response (emailEmbedHTML, fields)
Response
Successful
"Contact Email, Example: john@example.com"
"Backgound URL, Example: https://example.com"
"Backgound URL, Example: https://example.com"
"Current prospect status, Example: saved, billed, errored, processing, uploaded, completed"
"Deleted Date if prospect was deleted, Example: 2020-01-01T00:00:00.000Z"
"False if prospect has validation errors"
"Create date, example: 2020-01-01T00:00:00.000Z"
"Update date, example: 2020-01-01T00:00:00.000Z"
Show child attributes
Show child attributes
"Contact Name, example: John Doe"
"Company Name, example: Sendspark"
"Job Title, example: Software Engineer"
"Internal prospect ID, example: 997f191e810c19729de860fd"
"Public URL to share the final video, example: https://sendspark.com/share/997f191e81"
HTML code for email embedding
Additional fields associated with the prospect
Was this page helpful?